## org.exist.storage.test
Class RecoveryTest2

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.storage.test.RecoveryTest2

All Implemented Interfaces:
  junit.framework.Test

public class RecoveryTest2
extends junit.framework.TestCase

Test recovery after a forced database corruption.

Author:
  wolf

Constructor Summary
`RecoveryTest2()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testRead()`
`void` `testStore()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecoveryTest2

    public RecoveryTest2()

Method Detail

### main

    public static void main(java.lang.String[] args)

### testStore

    public void testStore()

### testRead

    public void testRead()

Copyright (C) Wolfgang Meier. All rights reserved.